# Oxygen-concentrator

This is the [RepRap Ltd](https://reprapltd.com) repository for all the information, designs, and data for our open-source Oxygen Concentrator.

The primary aim of this project is to get a working design out.  We hope that others will then use that as the basis for improvements and variations.  See the *How Can You Help* section below.  This repository now incorporates some ideas from comments to our original blog post about it.  A big **Thank You** to all who have made suggestions; please make more using the issue link above!

Version 1 of this (up to commit [422aa3](https://github.com/RepRapLtd/Oxygen-concentrator/commit/422aaa3da3306aa2c95ef35095159bc0f398108a)) didn't work because the air was not flowing through the zeolite in a smooth consistent manner under pressure.  So this is now work-in-progress on Version 2 (from commit [3a930c0](https://github.com/RepRapLtd/Oxygen-concentrator/commit/3a930c09b3ee5cdb08eb29aa33c5f615ee4f58ef)) which we hope will fix the problem.

## Introduction

![Oxygen concentrator block diagram](Pix/o2-concentrator.png)

With the World’s current problems caused by [covid-19](https://en.wikipedia.org/wiki/Coronavirus_disease_2019), it seemed to us that an open-source [oxygen concentrator](https://en.wikipedia.org/wiki/Oxygen_concentrator) would be a useful thing to have.  These are fairly simple devices that work by [pressure swing adsorbtion](https://en.wikipedia.org/wiki/Pressure_swing_adsorption#Rapid_PSA).  The block diagram for what we propose (Version 2) is shown above.

### How will it work?

We don't know if it will until we test it, of course.  But the plan is this:

Starting bottom right compressed air flows into two chambers to clean it up; silica gel will remove moisture, and activated carbon will remove CO<sub>2</sub>.

All the valves are normally-closed types.  Valves *A* and *D* will be opened, which will allow the air to flow under pressure through the zeolite column on the left.  The pressure will be set indirectly by adjusting the *oxygen-flow-adjust* flow regulator. N<sub>2</sub> has a large [quadrupole moment](https://en.wikipedia.org/wiki/Quadrupole) (an aspect of the pattern of electric charges round the molecule) relative to O<sub>2</sub>. This means that it “fits” into the surface of zeolite much better and adsorbs onto it in preference, leaving the O<sub>2</sub> free in the chamber under pressure.  The  O<sub>2</sub>-enriched gas will flow up to the constant pressure reservoir, then through a rehydrator to restore the moisture removed by the silica gel, and on to the patient.

After about 30 seconds or so (exact time to be determined experimentally...) the zeolite will be saturated with N<sub>2</sub>.  Valves *A* and *D* will be closed and valves *B* and *C* will be opened.  This will allow air at atmospheric pressure to flow through the zeolite purging the N<sub>2</sub> from it to the surrounding air.  The flow rate will be set by the *purge-flow-adjust* flow regulator.

At the same time as those valve changes the cycle as just described will start for the zeolite column on the right by opening valves *A'* and *D'*.  Thus the O<sub>2</sub> flow will be maintained by the right hand column while the left hand column is purging.

The whole cycle will then repeat, swapping between the left and right columns for as long as the O<sub>2</sub> is required.

### Notes

The level sense signal from the reservoir feeds into a microcontroller (not shown) that opens and closes the valves and handles all the timings.  This is an Arduino Uno with a shield PCB with MOSFETs to drive the valves.  When the reservoir is full all the *A* and *B* valves are closed to shut the process down.  When it gets low, the cycles are started again.  See the Electronics and Software directories in the repository.

The best zeolite to use for this seems to be 13X, but we are still investigating that.

Both vater vapour and CO<sub>2</sub> would reduce the efficiency of the zeolite, and (because of the preferential adsorption of the N<sub>2</sub>) atmospheric CO<sub>2</sub> would also become too concentrated in the output.  The active carbon would be purged of adsorbed CO<sub>2</sub> from time to time in the same way as the purge described above.  The silical gel and maybe the zeolite would have to be dried periodically.  The simplest way to do that would probably be to put them in a kitchen oven (electric, not gas…).  You would have one set working in the machine, and another set being dried, then swap them over.  Silica gel can be obtained including an indicator which changes colour when it gets wet.

The compressed air would be required at the sorts of pressures and flow rates easily achievable by a 12 volt care tyre inflator.  All the plumbing is done using push-fit pneumatic connectors and PU pipe.

The best devices to use to contain the zeolite, carbon, and silica gel seem to be refillable in-line filter housing reverse osmosis units (see the bill of materials), which usefully come with 6mm push-fit couplings on the ends and built-in foam filters to retain particles of active material.  These will prevent the zeolite granules getting into the valves (or the patient…).  It would probably be a good idea if the device was actually arranged as shown with the flow up from the bottom to the top for the same reason.  As to size – the whole thing would be about microwave-oven size plus the compressor.

All the valves in the prototype are simple on-off 12-volt normally-closed pneumatic valves.  This could almost certainly be simplified in production.  For example valves *A* and *B* could be combined into a single two-port valve, as could valves *C* and *D*.  It may even be possible to combine all four into a single rotating sleve valve.  This would considerably reduce costs, though the single valves are useful for prototyping as they can be re-purposed between versions of the design.

In the Bill of Materials (see below) we have deliberately linked to non-medical-grade common very-low-cost components and materials of about the quality that one might expect in – say – a child’s swimming snorkel and mask.  To be most useful, this thing has to be manufacturable anywhere in the World at low cost.  And you trust your child’s life to that snorkel and mask…


## How can you help?

Here’s how we see this developing:

1. We’ll get a version working.
2. Other people make copies and variations.
3. We and others make measurements (O<sub>2</sub> concentration, CO<sub>2</sub> contamination etc).
4. Fix what’s needed to get those right.
5. Fix anything needed to get the machine useful

   In developing countries, and in the developed world in remote and emergency situations.

   In the developed world in hospital and clinic situations.

Note that we explicitly acknowledge that less rigorous standards are appropriate for emergencies than for well-controlled locations, and that that allows more benefit to be obtained than insisting on the highest standard everywhere.

Version 2 is neither final nor prototyped yet, but there is nothing to stop you taking what we have posted here and building it experimentally.  But the point where we would appreciate people getting involved is Stage 2. onwards.  In particular it’s important that others change the design to make improvements so that the best designs emerge from a large number of experiments (this is what happened with the [RepRap Project](https://reprap.org) and is the reason it was so successful).

## What's in this repository

1. Bill-of-materials.ods

   spreadsheet of materials we used to build our prototype

2. Documents

   Useful scientific papers and other materials

3. Electronics

   [Kicad](https://www.kicad-pcb.org/) design for the Arduino Uno shield that controls the device

4. LICENSE

   GPL V3

5. Mechanics

   [FreeCAD](https://www.freecadweb.org/) designs for 3D printed parts of the machine (mainly simple brackets).

6. Pix

   Images and photographs

7. README.md

   This file

8. Software

   Arduino C++ program to control the machine 

## Preliminary Test video

[![Control System Test](http://img.youtube.com/vi/y4nPhJDR1PU/0.jpg)](https://www.youtube.com/watch?v=y4nPhJDR1PU "Control System Test")




